<div class="dialog-content-wrapper">

    <div fxLayout="row" fxLayoutAlign="space-between center">
        <mat-toolbar matDialogTitle class="{{secondColorBrand}} m-0">
            <mat-toolbar-row fxLayout="row" fxLayoutAlign="space-between center">
                <span class="title dialog-title">{{data.title}}</span>
            </mat-toolbar-row>
        </mat-toolbar>
      </div>
      <br>
    <!-- (ngSubmit)="activiteContract(contractForm.value)" -->
  <form [formGroup]="contractForm"  novalidate>
    <mat-dialog-content>
      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
        <mat-form-field fxFlex="100">
            <textarea rows="32" style="color: black;" matInput placeholder="{{data.title}}" formControlName="contract"></textarea>
           
        </mat-form-field>
      </div>
    </mat-dialog-content>
    
    
    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
          <mat-checkbox *ngIf="firstAccess" required formControlName="check">Li e concordo com os termos do contrato</mat-checkbox>
    </div>
    <br>
    <hr>
    <mat-dialog-actions fxLayoutAlign="center center">
      <button *ngIf="data.firstAccess" mat-raised-button color="warn" (click)="cancelContract()" mat-dialog-close>Cancelar</button>
      <button *ngIf="data.firstAccess" mat-raised-button [disabled]="contractForm.invalid" (click)="activiteContract()" color="primary">Aceitar</button>
      <button *ngIf="!data.firstAccess" mat-raised-button ="contractForm.invalid" (click)="closeDialog()" color="primary">Fechar</button>
    </mat-dialog-actions>
  </form>
</div>